Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.publish.ivy
[Java] Interface IvyModuleDescriptor

    @Incubating
    @HasInternalProtocol
    public interface IvyModuleDescriptor

The descriptor of any Ivy publication.

Corresponds to the XML version of the Ivy Module Descriptor.

The withXml(org.gradle.api.Action) method can be used to modify the descriptor after it has been generated according to the publication data.

Since:
  1.3

Method Summary
`String` | `getStatus()` Returns the status for this publication.
`void` | `setStatus(String status)` Sets the status for this publication.
`void` | `withXml(Action action)` Allow configuration of the descriptor, after it has been generated according to the input data.

Method Detail

### getStatus

    public String getStatus()

  Returns the status for this publication.

### setStatus

    public void setStatus(String status)

  Sets the status for this publication.

### withXml

    public void withXml(Action action)

  Allow configuration of the descriptor, after it has been generated according to the input data.

       apply plugin: "ivy-publish"

       publishing {
         publications {
           ivy(IvyPublication) {
             descriptor {
               withXml {
                 asNode().dependencies.dependency.find { it.org:== "junit" }.@rev = "4.10"
               }
             }
           }
         }
       }

  Note that due to Gradle's internal type conversion system, you can pass a Groovy closure to this method and it will be automatically converted to an `Action`.

  Each action/closure passed to this method will be stored as a callback, and executed when the publication that this descriptor is attached to is published.

  For details on the structure of the XML to be modified, see the Ivy Module Descriptor reference.

Parameters:
  `action` - The configuration action.

See Also:
  IvyPublication
  XmlProvider

Gradle API 1.10